<?php
/*
NOTE: this file requires WordPress 2.7+ to function
*/
$settings = 'mods_'.get_current_theme(); // do not change!

$defaults = array( // define our defaults
		'logo' => 'imagelogo',
		'featured' => 'Yes',
		'featuredcat' => '1',
		'boxcat1' => '1',
		'boxcat2' => '1',
		'boxcat3' => '1',
		'boxcat4' => '1',
		'boxcat5' => '1',
		'boxcat6' => '1',
		'boxcat7' => '1',
		'boxcat8' => '1',
		'boxcat9' => '1',
		'boxcat10' => '1',
		'leftcat' => '1',
		'box1' => 'Enable',
		'box2' => 'Enable',
		'box3' => 'Enable',
		'box4' => 'Enable',
		'box5' => 'Enable',
		'box6' => 'Enable',
		'box7' => 'Disable',
		'box8' => 'Disable',
		'leftnews' => 'Yes',		
		'boxlist' => '2',
		'leftlist' => '5',
		'tabber' => 'Yes',
		'tab1' => '6',
		'tab2' => '6',
		'boxthumbw' => '209',
		'boxthumbh' => '100',
		'feed' => 'feedburner',
		'feedburner_id' => 'themejunkie',
		'showad468x60' => 'Yes',
		'showad300x250' => 'Yes',
		'showad160x600' => 'Yes',
		'ad468x60' => '',
		'ad300x250' => '',
		'ad160x600' => '',
		'track' => 'Yes'		
		 // <-- no comma after the last option
);

//	push the defaults to the options database,
//	if options don't yet exist there.
add_option($settings, $defaults, '', 'yes');


/*
///////////////////////////////////////////////
This section hooks the proper functions
to the proper actions in WordPress
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
*/
//	this function registers our settings in the db
add_action('admin_init', 'register_theme_settings');
function register_theme_settings() {
	global $settings;
	register_setting($settings, $settings);
}
//	this function adds the settings page to the Appearance tab
add_action('admin_menu', 'add_theme_options_menu');
function add_theme_options_menu() {
	add_submenu_page('themes.php', __('تنظيمات پوسته Portal', 'themejunkie'), __('تنظيمات پوسته Portal', 'themejunkie'), 8, 'theme-options', 'theme_settings_admin');
}

function theme_settings_admin() { ?>
<?php theme_options_css_js(); ?>

<div class="wrap">
  <?php
	global $settings, $defaults;
	if(get_theme_mod('reset')) {
		echo '<div class="updated fade" id="message"><p>'.__('تنظيمات پوسته', 'themejunkie').' <strong>'.__('به صورت پيشفرض ذخيره شد', 'themejunkie').'</strong></p></div>';
		update_option($settings, $defaults);
	} elseif($_REQUEST['updated'] == 'true') {
		echo '<div class="updated fade" id="message"><p>'.__('تنظيمات پوسته', 'themejunkie').' <strong>'.__('ذخيره شد', 'themejunkie').'</strong></p></div>';
	}
	screen_icon('options-general');
?>
  <h2><?php echo get_current_theme() . ' '; _e('تنظيمات پوسته', 'themejunkie'); ?></h2>
  <form method="post" action="options.php">
    <?php settings_fields($settings); // important! ?>
    <?php // begin first column ?>
    <div class="metabox-holder">
      <div class="postbox">
        <h3><?php _e("طراحی توسط", 'themejunkie'); ?></h3>
        <div class="inside">
          <p>
            <?php _e("طراحی توسط ", 'themejunkie'); ?>
            <a rel="nofollow" href="http://www.persianscript.ir.ir" target="_blank"><?php _e("پرشین اسکریپت", 'themejunkie'); ?></a>
          </p>
          <p style="text-decoration: none;">
          </p>
        </div>
      </div>
      <!--end: overview-->
    
      <div class="postbox">
        <h3>
          <?php _e("مشخصات نمایش اسلاید", 'themejunkie'); ?>
        </h3>
        <div class="inside">
          <p>
            <?php _e("نمایش سیستم اسلاید در صفحه اصلی فعال باشد؟", 'themejunkie'); ?>
            <br />
            <select name="<?php echo $settings; ?>[featured]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('featured')); ?>>بله</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('featured')); ?>>خیر</option>
            </select>
          </p>
          <p>
            <?php _e("موضوع نمایش اسلایدی:", 'themejunkie'); ?>
            <br/>
            <?php wp_dropdown_categories(array('selected' => get_theme_mod('featuredcat'), 'name' => $settings.'[featuredcat]', 'orderby' => 'Name' , 'hierarchical' => 1, 'hide_empty' => '0' )); ?>
          </p>
        </div>
      </div>
      <!--end: featured content slider-->
     <div class="postbox">
       <h3>جعبه مطالب</h3>
       <div class="inside">
         <p>
           <?php _e("موضوع برای باکس #1", 'themejunkie'); ?>
           <br/>
           <?php wp_dropdown_categories(array('selected' => get_theme_mod('boxcat1'), 'name' => $settings.'[boxcat1]', 'orderby' => 'Name' , 'hierarchical' => 1, 'hide_empty' => '0' )); ?>
           <select name="<?php echo $settings; ?>[box1]" style="margin: 0 0 0 20px;">
             <option style="padding-right:10px;" value="Enable" <?php selected('Enable', get_theme_mod('box1')); ?>>فعال</option>
             <option style="padding-right:10px;" value="Disable" <?php selected('Disable', get_theme_mod('box1')); ?>>غیر فعال</option>
           </select>
         </p>
         <p>
           <?php _e("موضوع برای باکس #2", 'themejunkie'); ?>
           <br/>
           <?php wp_dropdown_categories(array('selected' => get_theme_mod('boxcat2'), 'name' => $settings.'[boxcat2]', 'orderby' => 'Name' , 'hierarchical' => 1, 'hide_empty' => '0' )); ?>
           <select name="<?php echo $settings; ?>[box2]" style="margin: 0 0 0 20px;">
             <option style="padding-right:10px;" value="Enable" <?php selected('Enable', get_theme_mod('box2')); ?>>فعال</option>
             <option style="padding-right:10px;" value="Disable" <?php selected('Disable', get_theme_mod('box2')); ?>>غیر فعال</option>
           </select>
         </p>
         <p>
           <?php _e("موضوع برای باکس #3", 'themejunkie'); ?>
           <br/>
           <?php wp_dropdown_categories(array('selected' => get_theme_mod('boxcat3'), 'name' => $settings.'[boxcat3]', 'orderby' => 'Name' , 'hierarchical' => 1, 'hide_empty' => '0' )); ?>
           <select name="<?php echo $settings; ?>[box3]" style="margin: 0 0 0 20px;">
             <option style="padding-right:10px;" value="Enable" <?php selected('Enable', get_theme_mod('box3')); ?>>فعال</option>
             <option style="padding-right:10px;" value="Disable" <?php selected('Disable', get_theme_mod('box3')); ?>>غیر فعال</option>
           </select>
         </p>
         <p>
           <?php _e("موضوع برای باکس #4", 'themejunkie'); ?>
           <br/>
           <?php wp_dropdown_categories(array('selected' => get_theme_mod('boxcat4'), 'name' => $settings.'[boxcat4]', 'orderby' => 'Name' , 'hierarchical' => 1, 'hide_empty' => '0' )); ?>
           <select name="<?php echo $settings; ?>[box4]" style="margin: 0 0 0 20px;">
             <option style="padding-right:10px;" value="Enable" <?php selected('Enable', get_theme_mod('box4')); ?>>فعال</option>
             <option style="padding-right:10px;" value="Disable" <?php selected('Disable', get_theme_mod('box4')); ?>>غیر فعال</option>
           </select>
         </p>
         <p>
           <?php _e("موضوع برای باکس #5", 'themejunkie'); ?>
           <br/>
           <?php wp_dropdown_categories(array('selected' => get_theme_mod('boxcat5'), 'name' => $settings.'[boxcat5]', 'orderby' => 'Name' , 'hierarchical' => 1, 'hide_empty' => '0' )); ?>
           <select name="<?php echo $settings; ?>[box5]" style="margin: 0 0 0 20px;">
             <option style="padding-right:10px;" value="Enable" <?php selected('Enable', get_theme_mod('box5')); ?>>فعال</option>
             <option style="padding-right:10px;" value="Disable" <?php selected('Disable', get_theme_mod('box5')); ?>>غیر فعال</option>
           </select>
         </p>
         <p>
           <?php _e("موضوع برای باکس #6", 'themejunkie'); ?>
           <br/>
           <?php wp_dropdown_categories(array('selected' => get_theme_mod('boxcat6'), 'name' => $settings.'[boxcat6]', 'orderby' => 'Name' , 'hierarchical' => 1, 'hide_empty' => '0' )); ?>
           <select name="<?php echo $settings; ?>[box6]" style="margin: 0 0 0 20px;">
             <option style="padding-right:10px;" value="Enable" <?php selected('Enable', get_theme_mod('box6')); ?>>فعال</option>
             <option style="padding-right:10px;" value="Disable" <?php selected('Disable', get_theme_mod('box6')); ?>>غیر فعال</option>
           </select>
         </p>
         <p>
           <?php _e("موضوع برای باکس #7", 'themejunkie'); ?>
           <br/>
           <?php wp_dropdown_categories(array('selected' => get_theme_mod('boxcat7'), 'name' => $settings.'[boxcat7]', 'orderby' => 'Name' , 'hierarchical' => 1, 'hide_empty' => '0' )); ?>
           <select name="<?php echo $settings; ?>[box7]" style="margin: 0 0 0 20px;">
             <option style="padding-right:10px;" value="Enable" <?php selected('Enable', get_theme_mod('box7')); ?>>فعال</option>
             <option style="padding-right:10px;" value="Disable" <?php selected('Disable', get_theme_mod('box7')); ?>>غیر فعال</option>
           </select>
         </p>
         <p>
           <?php _e("موضوع برای باکس #8", 'themejunkie'); ?>
           <br/>
           <?php wp_dropdown_categories(array('selected' => get_theme_mod('boxcat8'), 'name' => $settings.'[boxcat8]', 'orderby' => 'Name' , 'hierarchical' => 1, 'hide_empty' => '0' )); ?>
           <select name="<?php echo $settings; ?>[box8]" style="margin: 0 0 0 20px;">
             <option style="padding-right:10px;" value="Enable" <?php selected('Enable', get_theme_mod('box8')); ?>>فعال</option>
             <option style="padding-right:10px;" value="Disable" <?php selected('Disable', get_theme_mod('box8')); ?>>غیر فعال</option>
           </select>
         </p>         
         <p>
           <?php _e("تعداد مطالب برای نمایش در باکس ها:", 'themejunkie'); ?>
           <br/>
           <select name="<?php echo $settings; ?>[boxlist]">
             <option style="padding-right:10px;" value="0" <?php selected('0', get_theme_mod('boxlist')); ?>>1</option>
             <option style="padding-right:10px;" value="1" <?php selected('1', get_theme_mod('boxlist')); ?>>2</option>
             <option style="padding-right:10px;" value="2" <?php selected('2', get_theme_mod('boxlist')); ?>>3</option>
             <option style="padding-right:10px;" value="3" <?php selected('3', get_theme_mod('boxlist')); ?>>4</option>
             <option style="padding-right:10px;" value="4" <?php selected('4', get_theme_mod('boxlist')); ?>>5</option>
             <option style="padding-right:10px;" value="5" <?php selected('5', get_theme_mod('boxlist')); ?>>6</option>
             <option style="padding-right:10px;" value="6" <?php selected('6', get_theme_mod('boxlist')); ?>>7</option>
             <option style="padding-right:10px;" value="7" <?php selected('7', get_theme_mod('boxlist')); ?>>8</option>
             <option style="padding-right:10px;" value="8" <?php selected('8', get_theme_mod('boxlist')); ?>>9</option>
             <option style="padding-right:10px;" value="9" <?php selected('9', get_theme_mod('boxlist')); ?>>10</option>
           </select>
           <span style="margin-left:10px; color: #999999;">
           <?php _e("(پیشفرض: 3)", 'themejunkie'); ?>
           </span> </p>
         <p>
           <?php _e("اندازه تصویر کوچک هر مطلب (عرض x طول):", 'themejunkie'); ?>
           <br/>
           <input type="text" name="<?php echo $settings; ?>[boxthumbw]" value="<?php echo get_theme_mod('boxthumbw'); ?>" size="4" />
           x
           <input type="text" name="<?php echo $settings; ?>[boxthumbh]" value="<?php echo get_theme_mod('boxthumbh'); ?>" size="4" />
           <span style="margin-left:10px; color: #999999;">
           <?php _e("(پیشفرض: 209x100)", 'themejunkie'); ?>
           </span> </p>
       </div>
     </div>
     <!--end: content-->
     <div class="postbox">
       <h3>
         <?php _e("اخبار ساید بار سمت چپ", 'themejunkie'); ?>
       </h3>
       <div class="inside">
         <p>
           <?php _e("نمایش یک بلوک اخبار در ابزارک سمت چپ فعال باشد؟", 'themejunkie'); ?>
           <br />
           <select name="<?php echo $settings; ?>[leftnews]">
             <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('leftnews')); ?>>بله</option>
             <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('leftnews')); ?>>خیر</option>
           </select>
         </p>
         <p>
           <?php _e("دسته برای نمایش در ابزارک اخبار سمت چپ:", 'themejunkie'); ?>
           <br/>
           <?php wp_dropdown_categories(array('selected' => get_theme_mod('leftcat'), 'name' => $settings.'[leftcat]', 'orderby' => 'Name' , 'hierarchical' => 1, 'hide_empty' => '0' )); ?>
         </p>
         <p>
           <?php _e("تعداد مطالب برای نمایش:", 'themejunkie'); ?>
           <br/>
           <select name="<?php echo $settings; ?>[leftlist]">
             <option style="padding-right:10px;" value="1" <?php selected('1', get_theme_mod('leftlist')); ?>>1</option>
             <option style="padding-right:10px;" value="2" <?php selected('2', get_theme_mod('leftlist')); ?>>2</option>
             <option style="padding-right:10px;" value="3" <?php selected('3', get_theme_mod('leftlist')); ?>>3</option>
             <option style="padding-right:10px;" value="4" <?php selected('4', get_theme_mod('leftlist')); ?>>4</option>
             <option style="padding-right:10px;" value="5" <?php selected('5', get_theme_mod('leftlist')); ?>>5</option>
             <option style="padding-right:10px;" value="6" <?php selected('6', get_theme_mod('leftlist')); ?>>6</option>
             <option style="padding-right:10px;" value="7" <?php selected('7', get_theme_mod('leftlist')); ?>>7</option>
             <option style="padding-right:10px;" value="8" <?php selected('8', get_theme_mod('leftlist')); ?>>8</option>
             <option style="padding-right:10px;" value="9" <?php selected('9', get_theme_mod('leftlist')); ?>>9</option>
             <option style="padding-right:10px;" value="10" <?php selected('10', get_theme_mod('leftlist')); ?>>10</option>
           </select>
           <span style="margin-left:10px; color: #999999;">
           <?php _e("(یشفرض: 5)", 'themejunkie'); ?>
           </span> </p>
         <p>
       </div>
     </div>
     <!--end: left sidebar-->
      <div class="postbox">
        <h3>
          <?php _e("تب اسلاید سمت راست", 'themejunkie'); ?>
        </h3>
        <div class="inside">
          <p>
            <?php _e("نمایش اطلاعات (مطالب مجبوب,پیشین و...) در ابزارک سمت راست فعال باشد؟", 'themejunkie'); ?>
            <br/>
            <select name="<?php echo $settings; ?>[tabber]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('tabber')); ?>>بله</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('tabber')); ?>>خیر</option>
            </select>
        </p>        
          <p>
            <?php _e("تعداد نمایش مطالب محبوب برای نمایش:", 'themejunkie'); ?>
            <br/>
            <select name="<?php echo $settings; ?>[tab1]">
              <option style="padding-right:10px;" value="1" <?php selected('1', get_theme_mod('tab1')); ?>>1</option>
              <option style="padding-right:10px;" value="2" <?php selected('2', get_theme_mod('tab1')); ?>>2</option>
              <option style="padding-right:10px;" value="3" <?php selected('3', get_theme_mod('tab1')); ?>>3</option>
              <option style="padding-right:10px;" value="4" <?php selected('4', get_theme_mod('tab1')); ?>>4</option>
              <option style="padding-right:10px;" value="5" <?php selected('5', get_theme_mod('tab1')); ?>>5</option>
              <option style="padding-right:10px;" value="6" <?php selected('6', get_theme_mod('tab1')); ?>>6</option>
              <option style="padding-right:10px;" value="7" <?php selected('7', get_theme_mod('tab1')); ?>>7</option>
              <option style="padding-right:10px;" value="8" <?php selected('8', get_theme_mod('tab1')); ?>>8</option>
              <option style="padding-right:10px;" value="9" <?php selected('9', get_theme_mod('tab1')); ?>>9</option>
              <option style="padding-right:10px;" value="10" <?php selected('10', get_theme_mod('tab1')); ?>>10</option>
              <option style="padding-right:10px;" value="11" <?php selected('11', get_theme_mod('tab1')); ?>>11</option>
              <option style="padding-right:10px;" value="12" <?php selected('12', get_theme_mod('tab1')); ?>>12</option>
            </select>
            <span style="margin-left:10px; color: #999999;">
            <?php _e("(پیشفرش: 6)", 'themejunkie'); ?>
            </span> </p>
          <p>
            <?php _e("تعداد مطالب پیشین برای نمایش:", 'themejunkie'); ?>
            <br/>
            <select name="<?php echo $settings; ?>[tab2]">
              <option style="padding-right:10px;" value="1" <?php selected('1', get_theme_mod('tab2')); ?>>1</option>
              <option style="padding-right:10px;" value="2" <?php selected('2', get_theme_mod('tab2')); ?>>2</option>
              <option style="padding-right:10px;" value="3" <?php selected('3', get_theme_mod('tab2')); ?>>3</option>
              <option style="padding-right:10px;" value="4" <?php selected('4', get_theme_mod('tab2')); ?>>4</option>
              <option style="padding-right:10px;" value="5" <?php selected('5', get_theme_mod('tab2')); ?>>5</option>
              <option style="padding-right:10px;" value="6" <?php selected('6', get_theme_mod('tab2')); ?>>6</option>
              <option style="padding-right:10px;" value="7" <?php selected('7', get_theme_mod('tab2')); ?>>7</option>
              <option style="padding-right:10px;" value="8" <?php selected('8', get_theme_mod('tab2')); ?>>8</option>
              <option style="padding-right:10px;" value="9" <?php selected('9', get_theme_mod('tab2')); ?>>9</option>
              <option style="padding-right:10px;" value="10" <?php selected('10', get_theme_mod('tab2')); ?>>10</option>
              <option style="padding-right:10px;" value="11" <?php selected('11', get_theme_mod('tab2')); ?>>11</option>
              <option style="padding-right:10px;" value="12" <?php selected('12', get_theme_mod('tab2')); ?>>12</option>
            </select>
            <span style="margin-left:10px; color: #999999;">
            <?php _e("(پیشفرش: 6)", 'themejunkie'); ?>
            </span> </p>
        </div>
      </div>
      <!--end: Homepage Style-->
    </div>
    <?php // end first column ?>
    <?php // begin second column ?>
    <div class="metabox-holder">
    <div class="postbox">
      <h3>تغییر لوگو</h3>
      <div class="inside">
        <p>
          <?php _e("نوع لوگو در سایت را انتخاب کنید:", 'themejunkie'); ?>
          <br/>
          <select name="<?php echo $settings; ?>[logo]">
            <option style="padding-right:10px;" value="imagelogo" <?php selected('imagelogo', get_theme_mod('logo')); ?>>لوگول تصویری</option>
            <option style="padding-right:10px;" value="textlogo" <?php selected('textlogo', get_theme_mod('logo')); ?>>لوگوی متنی</option>
          </select>
          <span style="margin-left:10px; color: #999999;"><?php _e("(پیشفرض: لوگوی تصویری)", 'themejunkie'); ?></span>
       </p>
      </div>
    </div>
    <!--end: logo switcher-->
		<div class="postbox">
		  <h3>
		    <?php _e("فید خبرخوان", 'themejunkie'); ?>
		  </h3>
		  <div class="inside">
		    <p>
		      <?php _e("نوع فید خبر خوان:", 'themejunkie'); ?>
		      <br />
		      <select name="<?php echo $settings; ?>[feed]">
		        <option style="padding-right:10px;" value="rss" <?php selected('rss', get_theme_mod('feed')); ?>>خبرخوان پیشفرض</option>
		        <option style="padding-right:10px;" value="feedburner" <?php selected('feedburner', get_theme_mod('feed')); ?>>FeedBurner RSS</option>
		      </select>
		    </p>
		    <p>
		      <?php _e("نام ایدی FeedBurner:", 'themejunkie'); ?>
		      <br />
		      <input type="text" name="<?php echo $settings; ?>[feedburner_id]" value="<?php echo get_theme_mod('feedburner_id'); ?>" size="35" />
		    </p>
		  </div>
		</div>
		<!--end: rss feed-->    
      <div class="postbox">
        <h3>
          <?php _e("468x60 تبلیغات", 'themejunkie'); ?>
          -
          <?php _e("سربرگ", 'themejunkie'); ?>
        </h3>
        <div class="inside">
          <p>
            <?php _e("نمایش تبلیغات 468x60 در سربرگ فعال باشد؟", 'themejunkie'); ?>
            <br />
            <select name="<?php echo $settings; ?>[showad468x60]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('showad468x60')); ?>>بله</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('showad468x60')); ?>>خیر</option>
            </select>
          </p>
          <p>
            <?php _e("کد تبلیغ خود را وارد کنید:", 'themejunkie'); ?>
            <br />
            <textarea name="<?php echo $settings; ?>[ad468x60]" cols=35 rows=6><?php echo stripslashes(get_theme_mod('ad468x60')); ?></textarea>
          </p>
        </div>
      </div>
      <!--end: 468x60 ad-->
      <div class="postbox">
        <h3><?php _e("300x250 تبلیغ", 'themejunkie'); ?> - <?php _e("ابزارک", 'themejunkie'); ?></h3>
        <div class="inside">
          <p>
            <?php _e("نمایش تبلیغ 300x250 در ابزارک?", 'themejunkie'); ?>
            <br />
            <select name="<?php echo $settings; ?>[showad300x250]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('showad300x250')); ?>>بله</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('showad300x250')); ?>>خیر</option>
            </select>
          </p>
          <p>
            <?php _e("کد تبلیغ خود را وارد کنید:", 'themejunkie'); ?>
            <br />
            <textarea name="<?php echo $settings; ?>[ad300x250]" cols=35 rows=6><?php echo stripslashes(get_theme_mod('ad300x250')); ?></textarea>
          </p>
        </div>
      </div>
      <!--end: 300x250 ad-->
     <div class="postbox">
       <h3>
         <?php _e("160x600 تبلیغ", 'themejunkie'); ?> - <?php _e("ابزارک", 'themejunkie'); ?>
       </h3>
       <div class="inside">
         <p>
           <?php _e("نمایش تبلیغ 160x600 در ابزارک فعال باشد?", 'themejunkie'); ?>
           <br />
           <select name="<?php echo $settings; ?>[showad160x600]">
             <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('showad160x600')); ?>>بله</option>
             <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('showad160x600')); ?>>خیر</option>
           </select>
         </p>
         <p>
           <?php _e("کد تبلیغ خود را وارد کنید:", 'themejunkie'); ?>
           <br />
           <textarea name="<?php echo $settings; ?>[ad160x600]" cols=35 rows=6><?php echo stripslashes(get_theme_mod('ad160x600')); ?></textarea>
         </p>
       </div>
     </div>
     <!--end: 160x600 ad-->
      <div class="postbox">
        <h3>
          <?php _e("کد گوگل آنالیز", 'themejunkie'); ?>
        </h3>
        <div class="inside">
          <p>
            <?php _e("کد گوگل آنالیز فعال باشد؟", 'themejunkie'); ?>
            <br />
            <select name="<?php echo $settings; ?>[track]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('track')); ?>>بله</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('track')); ?>>بله</option>
            </select>
            <br />
            <?php _e("کد گوگل آنالیز را در زیر وارد کنید:", 'themejunkie'); ?>
            <br />
            <textarea name="<?php echo $settings; ?>[track_code]" cols=35 rows=6><?php echo stripslashes(get_theme_mod('track_code')); ?></textarea>
          </p>
        </div>
      </div>
      <!--end: tracking-->
      <p class="submit">
        <input type="submit" class="button-primary" value="<?php _e('ذخیره تغییرات', 'themejunkie') ?>" />
        <input type="submit" class="button-highlighted" name="<?php echo $settings; ?>[reset]" value="<?php _e('پیشفرض', 'themejunkie'); ?>" />
      </p>
    </div>
    <!--end: second column-->
  </form>
</div>
<?php }

// add CSS and JS if necessary
function theme_options_css_js() {
echo <<<CSS

<style type="text/css">
	.metabox-holder { 
		width: 350px; float: right;
		
		margin: 0; padding: 0 10px 0 0;
	}
	.metabox-holder .postbox .inside {
		padding: 0 10px;
	}
	input, textarea, select {
		margin: 5px 0 5px 0;
		padding: 1px;
	}
</style>

CSS;
echo <<<JS

<script type="text/javascript">
jQuery(document).ready(function($) {
	$(".fade").fadeIn(1000).fadeTo(1000, 1).fadeOut(1000);
});
</script>

JS;
}
?>
